MT(1)

NOM
mt – Contrôle d’un périphérique de bande magnétique

SYNOPSIS
mt [-V] [-f périphérique] [--file=périphérique] [--rsh-command=commande] [--version] opération [nombre]

DESCRIPTION
Cette page de manuel documente la version GNU de mt. mt réalise, sur un périphérique de bande magnétique, l’opération indiquée pouvant être une des opérations ci-après.

Le périphérique sur lequel agir par défaut est déterminé à partir du fichier /usr/include/sys/mtio.h lorsque mt est compilé. Cela peut être outrepassé en indiquant un nom de périphérique dans la variable d’environnement TAPE ou par une option de ligne de commande qui, de même, écrase la variable d’environnement (voir ci-après).

Le périphérique doit soit être un fichier spécial en mode caractère ou un périphérique distant. Pour utiliser ce dernier sur une autre machine que l’archive, il faut utiliser un nom de fichier qui commence avec « HOSTNAME: ». Le nom d’hôte peut être précédé par un nom d’utilisateur et un « @ » pour accéder au périphérique distant en tant qu’utilisateur, à condition d’avoir les permissions nécessaires (typiquement, une entrée dans le fichier ~/.rhosts de l’utilisateur).

Les opérations possibles sont listées ci-dessus. Les abréviations uniques sont acceptées. Toutes les opérations ne sont pas disponibles sur tous les systèmes ou ne sont pas valables sur tous les types de périphérique. Certaines opérations prennent comme argument un nombre de répétitions qui peut être indiqué après le nom de l’opération et qui est par défaut égal à 1.

eof, weof
    Écrire nombre marques EOF à la position actuelle.

fsf Avancer de nombre fichiers. La bande est positionnée sur le premier bloc du fichier suivant.

bsf Reculer de nombre fichiers. La bande est positionnée sur le premier bloc du fichier suivant.

fsr Avancer de nombre enregistrements.

bsr Reculer de nombre enregistrements.

bsfm
    Reculer de nombre marques de fichier. La bande est positionnée du côté du début de bande de la marque de fichier.

fsfm
    Avancer de nombre marques de fichier. La bande est positionnée du côté du début de bande de la marque de fichier.

asf Se déplacer au numéro de fichier nombre. C’est équivalent à un rembobinage suivi de fsf nombre.

seek
    Rechercher le numéro de bloc nombre.

eom Aller à la fin du média enregistré sur la bande (pour ajouter des fichiers sur la bande).

rewind
    Rembobiner la bande.

offline, rewoffl
    Rembobiner la bande et, si réalisable, éjecter la bande.

status
    Afficher des informations sur l’état de l’unité magnétique.

retension
    Rembobiner la bande, dévider complètement la bobine, puis rembobiner la bande.

erase
    Réaliser un effacement long de bande. Si nombre est égal à 1, réaliser un effacement court (certains périphériques ne le gèrent pas).

mt quitte avec le code de retour 0 si l’opération a réussie, 1 si le nom de périphérique indiqué n’est pas valable et 2 si l’opération a échoué.

  OPTIONS

-f, --file=périphérique
    Utiliser périphérique comme nom de fichier du périphérique à utiliser. Pour utiliser ce dernier sur une autre machine, il faut utiliser un nom de fichier qui commence avec « HOSTNAME: ». Le nom d’hôte peut être précédé par un nom d’utilisateur et un « @ » pour accéder au périphérique distant en tant qu’utilisateur, à condition d’avoir les permissions nécessaires (typiquement, une entrée dans le fichier ~/.rhosts de l’utilisateur).

--rsh-command=commande
    Indiquer à mt d’utiliser la commande pour communiquer avec les périphériques distants au lieu de /usr/bin/ssh ou /usr/bin/rsh.

-V, --version
    Afficher le numéro de version de mt.

SIGNALEMENTS DE BOGUES
Signaler toute erreur à <bug-cpio@gnu.org>.

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc.
Licence GPLv3+ : GNU GPL version 3 ou supérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.